1. Verification
Finzep-API Document
  • Getting Started
  • Payout API
    • Introduction
    • Status Check
      GET
    • Payout
      POST
  • Collect
    • UPI Intent
      POST
    • Collect UPI
      POST
    • Status Check
      POST
    • GenerateStaticQR2
      POST
    • GetDynamicQR2
      POST
  • Verification
    • Account Verification
      POST
    • Mobile to Account Verification
      POST
    • VPA to Account Verification
      POST
    • UPI Validation
      POST
    • Mobile to Name Verification
      POST
    • Mobile to UPI Verification
      POST
    • Credit Score Verification
      POST
    • PAN Verification
      GET
    • GST Verification
      POST
    • Account Verification Without Penny Drop
      POST
    • Aadhar Verification (Generate OTP)
      GET
    • Aadhar Verification (Validate OTP)
      GET
  • Resource
    • Balance Check
      GET
    • Dispute URL
      GET
    • Get Resource
      POST
  • Schemas
    • Schemas
      • _SenderRequest
      • AddBeneRequest
      • APIRequestOutlet
      • APIUserGIRequest
      • AppAmountRequest
      • AppDMTRecieptReq
      • AppReceiptRequest
      • AppSendMoneyReq
      • AppSessionReq
      • BeneDetail
      • BeneficiaryReq
      • BeneficiaryReqDMTAPIRequest
      • BeneficiaryVerifyRrequest
      • BeneficiaryVerifyRrequestDMTAPIRequest
      • ConnectPayoutRequest
      • CreateBeneficiaryRequest
      • CreateBeneficiaryRequestDMTAPIRequest
      • CreateDMTSenderReq
      • CreateDMTSenderReqDMTAPIRequest
      • Data
      • DecimalAPIRequestBase
      • DeleteBeneficiaryReq
      • DeleteBeneficiaryReqDMTAPIRequest
      • DeviceAdditionalInfo
      • DeviceInfo
      • DMTNTransactionReq
      • DMTNTransactionReqDMTAPIRequest
      • GetHelpTopicReq
      • GetSenderReq
      • GetSenderReqDMTAPIRequest
      • GetTicketReq
      • GetTicketReqAppSessionReq
      • ICICIAuth
      • Int32AppSessionReq
      • IntiateUPIRequest
      • IPGeolocationInfo
      • Location
      • MatchOTPForWalletService
      • OMBeneficiary
      • OMSender
      • OpenMoneyRequest
      • OutletKYCDoc
      • OutletRequest
      • Param
      • PaymentConfirmationModel
      • PayoutTransactionRequest
      • PidData
      • PidDataTypeEnum
      • PlansRespModel
      • PSHLRResponse
      • QRAPIUserDyanamicRequest
      • QRAPIUserRequest
      • RechargeRequest
      • ReqSendMoney
      • Resp
      • SDKIntitateRequest
      • SDKRequest
      • SDKTrxStatusRequest
      • SenderDetailReq
      • Skey
      • SubjectGet
      • SubjectGetAppSessionReq
      • UPIStatusCheckAPIReq
      • ValidateDMTBioMatReq
      • ValidateDMTBioMatReqDMTAPIRequest
      • VerifyAccountReq
      • VerifyAccountReqDMTAPIRequest
      • VerifyUPICashoutOTPAPIReq
      • VerifyUPICashoutOTPAPIReqAPIRequestBase
      • WalletServiceRequest
      • XPressServiceProcRequest
  1. Verification

Aadhar Verification (Generate OTP)

GET
/APIVerification/GenerateAadharOTP
This API initiates the generation of a One-Time Password (OTP) for Aadhaar-based authentication. Upon successful initiation, an OTP is sent to the mobile number linked with the provided Aadhaar number.
If a redirection URL is received in the response, redirect the user to the provided Digilocker URL to complete Aadhaar verification. Once the verification is done, use the referenceId with the Validate Aadhaar API to check the Aadhaar verification status.

Request

Query Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.finzep.com/APIVerification/GenerateAadharOTP?UserID&Token&AccountNo&APIRequestID&SPKey'
Response Response Example
{
    "errorCode": 200,
    "statuscode": 1,
    "msg": "Successful",
    "referenceID": 33278,
    "isOTPRequired": false,
    "isRedirection": true,
    "redirectURL": ""
}
Modified at 2025-09-09 05:45:51
Previous
Account Verification Without Penny Drop
Next
Aadhar Verification (Validate OTP)
Built with